<app-navbar></app-navbar>
<router-outlet></router-outlet>
<app-search (search)="handleSearch($event)"></app-search>
<div class="container">
    <div class="row">
      
      <div class="col-md-4 mb-3 mb-md-5" *ngFor="let usuario of usuarios | search: filtro_valor" >
        <a name="emprendimiento-{{usuario.modalId}}"></a>
        <div class="card h-100" id="emprendimiento-{{usuario.modalId}}">
            <img src="/assets/img/portfolio/{{ usuario.img }}" class="card-img-top img-fluid rounded shadow-lg" alt="{{ usuario.nombre }}" *ngIf="usuario.img">
            <div *ngIf="!usuario.img" class="no-logo d-flex justify-content-center align-items-center shadow-lg rounded">
                <h3 class="card-title text-center text-white mb-0">{{ usuario.nombre }}</h3>
            </div>
            <div class="card-body">
            <h5 class="card-title">{{ usuario.nombre }}</h5>
            <p class="card-text"><strong>Representante: {{ usuario.representante }}</strong></p>
            <p class="card-text">Casa: {{ usuario.casa }}</p>
            <p class="card-text">{{ usuario.description }}</p>
            
            </div>
            <div class="card-footer text-muted">
                <strong *ngIf="usuario.whatsapp"><i class="fa fa-whatsapp mr-2"></i> <a href="https://api.whatsapp.com/send?phone=506{{ usuario.whatsapp }}&text=Hola!+Me+interesa+contactarme+con+usted" target="_blank">{{ usuario.whatsapp }}</a><br></strong>
                <small><strong *ngIf="usuario.correo"><i class="fa fa-envelope mr-2"></i> <a href="mailto:{{ usuario.correo }}" target="_blank" >{{ usuario.correo | slice:0:30 }}</a></strong></small>
                <strong *ngIf="usuario.linkFB"><br><i class="fa fa-facebook-square mr-2"></i> <a href="{{ usuario.linkFB }}" target="_blank" >facebook</a></strong>
                <strong *ngIf="usuario.linkIG"><br><i class="fa fa-instagram mr-2"></i> <a href="{{ usuario.linkIG }}" target="_blank"><small>Instagram:</small> @{{ usuario.linkIG.replace('https://www.instagram.com/','').replace('https://instagram.com/','').replace('/','') }}</a></strong>
                <strong *ngIf="usuario.web"><br><i class="fa fa-globe mr-2"></i> <a href="{{ usuario.web }}" target="_blank">{{ usuario.web }}</a></strong>
            </div>
        </div>
    </div>
    </div>
  </div>
  <button *ngIf="isShow" (click)="gotoTop()" class="gotop"><i class="fa fa-chevron-up"></i></button>
<app-footer></app-footer>
